Subject: Re* [PATCH v4] MyFirstContribution: refrain from self-iterating too much

From: Junio C Hamano <[email-masked]>
Date: Fri, 28 Jul 2023 08:42:29 -0700

Junio C Hamano <[email-masked]> writes:

> Jacob Abel <[email-masked]> writes:
>
>> Speaking as a fairly green contributor to the project, it may be helpful
>> to include some guidance on what is "too long" vs "too short" when
>> waiting to send out the next revision. 
>
> We generally do not want to be too prescriptive, ...
> But as a general common-sense guideline, I would encourage people to
> wait for at least one earth rotation, given that there are list
> participants across many timezones.  I do not know offhand how to
> fit that well in the narrative being proposed, though.

On top of v4, we could do something like this, I guess, but I
realize that this is talking about minimum waiting time to allow
others to even notice-see your patches, while the original is about
them needing time after noticing your patches to process them, and
the latter heavily depend on many factors (like how involved the
patches are, how many people are likely to be interested in).

So, I doubt adding this is a good idea.

diff --git c/Documentation/MyFirstContribution.txt w/Documentation/MyFirstContribution.txt
index 93c9e459fc..440e9ede32 100644
--- c/Documentation/MyFirstContribution.txt
+++ w/Documentation/MyFirstContribution.txt
@@ -1259,7 +1259,9 @@ index 88f126184c..38da593a60 100644
 Please give reviewers enough time to process your initial patch before
 sending an updated version. That is, resist the temptation to send a new
 version immediately, because others may have already started reviewing
-your initial version.
+your initial version. The development community members are across the
+globe and it is a good idea to give them time to see your patches by
+waiting for at least one rotation of the earth.
 
 While waiting for review comments, you may find mistakes in your initial
 patch, or perhaps realize a different and better way to achieve the goal